Bug 546623 - Exporting to pdf or ps with grid, metric grid is not correct
Summary: Exporting to pdf or ps with grid, metric grid is not correct
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transfig
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 652176 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 13:38 UTC by Robert K. Moniot
Modified: 2010-11-14 21:31 UTC (History)
5 users (show)

Fixed In Version: transfig-3.2.5d-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-14 21:27:21 UTC
Type: ---


Attachments (Terms of Use)
Xfig drawing of a 10x10 cm square inside a 12x12 cm square (323 bytes, text/xfig)
2009-12-11 13:38 UTC, Robert K. Moniot
no flags Details
Result of exporting 10cmx10cm.fig as PDF with Grid Minor = 10 mm, Major = none (4.52 KB, application/pdf)
2009-12-11 13:42 UTC, Robert K. Moniot
no flags Details

Description Robert K. Moniot 2009-12-11 13:38:51 UTC
Created attachment 377734 [details]
Xfig drawing of a 10x10 cm square inside a 12x12 cm square

Description of problem: Export to PDF or PS allows a grid to be overlaid on the figure.  If metric units are used, the grid produced is not at the true spacing.


Version-Release number of selected component (if applicable):
xfig-3.2.5-20.a.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1.In xfig, select ruler units = Metric (cm).  Leave Figure units = Ruler units and Figure scale = Unity.
2.Optionally turn on the grid mode to display grid at 1 cm spacing for best accuracy of drawing. (Results do not depend on whether grid mode is on or off.)  Draw a rectangle from (0,0) to (12,12) cm to serve as a frame, then another from (1,1) to (11,11) to serve as a figure of known size.  Save as a file, e.g. 10cmx10cm.fig.  (Attached.)
3.Export to PDF.  Choose grid minor=10 mm, major=none.  Save as a file, e.g. 10cmx10cm.pdf.  (Attached.)
  
Actual results: The 10x10 cm rectangle is seen to span about 9.5 grid squares in both directions (x and y).  Thus the grid spacing is about 10.5 mm.


Expected results:The 10x10 cm rectangle should span exactly 10 grid spacings.  Grid spacing should be the requested 10.0 mm.


Additional info:Using ruler units = Imperial (inches), the overlaid grid (also in inches) is true, e.g. requesting a grid spacing of 1/2 inch gives a grid spacing of 1/2 inch.  Exporting to PS gives the same results as for PDF.

Comment 1 Robert K. Moniot 2009-12-11 13:42:32 UTC
Created attachment 377735 [details]
Result of exporting 10cmx10cm.fig as PDF with Grid Minor = 10 mm, Major = none

The exported xfig file 10cmx10cm.fig is attachment 377734 [details].

Comment 2 Robert K. Moniot 2009-12-11 13:52:09 UTC
If the PDF is printed with no scaling, measurement with a ruler confirms that it is the overlaid grid and not the figure that is at the wrong scale.

Comment 3 Bug Zapper 2010-04-28 11:33:56 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Robert K. Moniot 2010-06-04 16:06:40 UTC
Tested it using xfig-3.2.5-22.a.fc12.i686 and found same behavior.
Rolled bug over to Fedora 12.

Comment 5 Bug Zapper 2010-11-04 03:36:42 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Robert K. Moniot 2010-11-04 14:17:18 UTC
I have tested this with xfig-3.2.5-23.b.fc13.x86_64 and the bug still exists.

Comment 7 Hans de Goede 2010-11-04 16:34:30 UTC
Hi Robert,

Thanks for re-testing and sorry for not looking into this sooner. I've good news, this is not a xfig bug but rather a transfig bug, and one that is fixed in the latest transfig which we have in F-14. You could try to install the F-14 build under F-13, with some luck this will work, download from here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=159826

And then as root do from a cmdline:
rpm -ivh transfig-3.2.5c-1.fc14.....rpm

Hi transfig maintainer,

I just noticed that a new upstream transfig release, 3.2.5d is out. Can you please rebase the Fedora package to this? And while at it maybe also prepare an update for F-13 to that version to address this bug?

Thanks & Regards,

Hans (Fedora xfig co-maintainer)

Comment 8 Kamil Dudka 2010-11-04 18:00:16 UTC
Thanks for the reminder, the updates for F-13+ will follow.

Comment 9 Fedora Update System 2010-11-04 18:15:08 UTC
transfig-3.2.5d-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/transfig-3.2.5d-1.fc14

Comment 10 Fedora Update System 2010-11-04 18:16:00 UTC
transfig-3.2.5d-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/transfig-3.2.5d-1.fc13

Comment 11 Fedora Update System 2010-11-05 22:53:01 UTC
transfig-3.2.5d-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transfig'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/transfig-3.2.5d-1.fc13

Comment 12 Robert K. Moniot 2010-11-06 12:48:24 UTC
Thanks, transfig-3.2.5d-1.fc13 cures it on my Fedora 13 system.

Comment 13 Kamil Dudka 2010-11-06 18:16:04 UTC
Great!  Thank you for the testing.

Comment 14 Kamil Dudka 2010-11-11 09:36:10 UTC
*** Bug 652176 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2010-11-14 21:27:15 UTC
transfig-3.2.5d-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-11-14 21:30:59 UTC
transfig-3.2.5d-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.